<?php
/*
  Payment module for National Australia Bank's NAB Transact Payment Gateway (Hosted Payment Page)
  
  Copyright (c) 2008 I2 Technology Solutions
  www.i2ts.com.au
  development@i2ts.com.au
  
  Released under the GNU General Public License
    
  Version 1.4
*/

//Constants used by the module
//These should be defined in the language files as the values my have different values in different languages
//But due to the language files not being available during the install() these needs to be defined in the class file
//@todo:find a way to make these available during install()
/*
 define('MODULE_PAYMENT_NAB_TRANSACT_CONST_YES', 'Yes');
 define('MODULE_PAYMENT_NAB_TRANSACT_CONST_NO', 'No');
 define('MODULE_PAYMENT_NAB_TRANSACT_CONST_TEST', 'Test');
 define('MODULE_PAYMENT_NAB_TRANSACT_CONST_LIVE', 'Live');
 */
//This piece of code will determine if the module is being called by the Admin login or the cart
//The flag will be used to create the messages according to the caller
//As language file is loaded befor the module this flag must be defined here
define('IS_ADMIN_FLAG', isset($_GET['set'])? true : false);
//Define the display text
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_ADMIN_TITLE', 'NAB Transact (Hosted Payment Page)');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_DESCRIPTION', 'Payment module for National Australia Bank\'s <u><a href="http://www.nab.com.au/transact" target="_blank">NAB Transact Payment Gateway</a></u>.<p><b>Call 1300 338 767 and apply for NAB Transact eCommerce Hosted Payment Page.</b></p>');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_PUBLIC_TITLE', 'Credit Card (via <u><a href="http://www.nab.com.au/transact" target="_blank">NAB Transact</a></u>)');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_TESTING_INFO', '<b>Testing</b><br>Card Number: 4444333322221111 (this number numbers will be declined in live mode)<br>CVV Number: 123<br>Card Type: Visa<br>Expiry: Any future date'.tep_draw_separator().'</p><b>Note:</b><br><ul><li>If you are evaluating NAB Transact gateway before signing up or still waiting for your NAB Transact Client Id, contact NAB Transact Service Centre on <b>1300 138 313 Option 1</b> and request for a <u>test</u> Client Id</li><li>In test mode, full amounts ($10.00, $123.00, etc) will be approved any other amounts will be rejected</li></ul>');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_DESCRIPTION', 'Payment module for National Australia Bank\'s <u><a href="http://www.nab.com.au/transact" target="_blank">NAB Transact Payment Gateway</a></u>.<p><b>Call 1300 338 767 and apply for NAB Transact eCommerce Hosted Payment Page.</b></p>');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_REQUIREMENTS', '<b>Requirements:</b>'.tep_draw_separator().'*NAB Transact Account<br>*NAB Transact Client Id');

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_PAYMENT_SECURITY_HEADING', 'Payment Security');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_PAYMENT_SECURITY_INSTRUCTIONS', 'Once you confirm the order you will be taken to a secure payment page hosted by <u><a href="http://www.nab.com.au/transact" target="_blank">National Australia Bank</a></u>. You can enter your credit card details and securely process the payment on this page. Confidential information including credit card details are encrypted using High-grade Encryption (SSL Version 3). Your credit card details are not stored within the shopping cart.<br>Once you have successfully made the payment, your order will be finalised and a payment receipt will be emailed to you.<br/>'.tep_image(DIR_WS_IMAGES.'NAB_Transact.gif', 'Secure online credit card payments processed by NAB Transact'));

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_ERROR_TITLE', 'An error occurred while processing the request');

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_WARN_SHORT', 'Configuration warning(s)');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_WARN', 'Following warning(s) are present. Try to resolve these warnings before processing real credit card payments.');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_WARN_INVALID_HOST', (IS_ADMIN_FLAG ? 'This module' : MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_PUBLIC_TITLE).' is installed in a server ('.$_SERVER['SERVER_ADDR'].') which may not support callback from payment processor. The cart must be publicly accesible (from outside of your network). Otherwise the payments will still be processed but the order wouldn\'t be created.');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_WARN_TEST_MODE', (IS_ADMIN_FLAG ? 'This module' : MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_PUBLIC_TITLE). ' is in test mode. No value transfers will occur.');

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_CONFIG_SHORT', 'Configuration Error(s)');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_CONFIG', 'Following error(s) are found in the configuration. These error(s) must be fixed before using this module');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_UNAUTH_CHECKOUT_CALL', 'Your order wasn\'t placed. Checkout process called by unauthorised source. Please contact the website owner and quote the NAB Transact Reference');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_UNKNOWN_ERROR', 'Your order may not have been placed. Unknown error occurred. Please conatct the website owner and quote the NAB Transact Reference');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_INVALID_MERCH_ID', 'The selected Payment Method hasn\'t been configured properly. Please select a different payment method or contact the website owner and  quote the error \'A valid NAB Transact client id hasn\'t been entered in '.MODULE_PAYMENT_NAB_TRANSACT_HPP_TEXT_ADMIN_TITLE.' payment module\'');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_ERROR_INVALID_MERCH_ID_SHORT', 'NAB Transact client id is missing or invalid');

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PROD_DESC_MODEL', 'Model');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PROD_DESC_SHIPPING', 'Shipping');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PROD_DESC_TAX', 'Tax');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PROD_DESC_TAX_INCLUDED', 'is included in the order total');

define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_HEADING', 'Payment Information');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_STATUS', 'Payment Status');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_AMOUNT', 'Amount Paid');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_CARD', 'Card Type');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_TXN_REF', 'NAB Transact Payment Reference');
define('MODULE_PAYMENT_NAB_TRANSACT_HPP_PAY_INFO_BANK_REF', 'Bank Reference');

?>
